html, body, canvas {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  background: #000;
}

canvas {
  width: 100pt;
  height: 100pt;
}

canvas.top {
  position: fixed;
  left: 0;
  top: 0;
  width: calc(min(100vh, 100vw));
  height: calc(min(100vh, 100vw));
  margin: calc(50vh - 0.5*min(100vh, 100vw)) calc(50vw - 0.5*min(100vh, 100vw));
}

#buttons {
  position: fixed;
  left: 0;
  top: 0;
  z-index: 1;
  display: flex;
  flex-direction: row;
}

button {
  font-size: 16pt;
  margin: 0.25em;
}
